Skip to main content
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
/
{campaign_lead_id}
/
unapprove
Unapprove Lead Email
curl --request POST \
  --url https://api.example.com/api/v1/campaigns/{campaign_id}/leads/{campaign_lead_id}/unapprove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "step_index": 16
}
'
import requests

url = "https://api.example.com/api/v1/campaigns/{campaign_id}/leads/{campaign_lead_id}/unapprove"

payload = { "step_index": 16 }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({step_index: 16})
};

fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/leads/{campaign_lead_id}/unapprove', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaign_lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "step_index": 123,
  "approved_steps": [
    123
  ],
  "approved_entry": {
    "subject": "<string>",
    "body": "<string>",
    "prompt_snapshot": "<string>",
    "prompt_version_hash": "<string>",
    "lead_identity_fingerprint": "<string>",
    "step_index": 123,
    "variant_label": "<string>",
    "step_config_fingerprint": "<string>",
    "approved_at": "2023-11-07T05:31:56Z",
    "approved_by": "<string>",
    "research_cache_fingerprint": "<string>",
    "sender_profile_id": "<string>",
    "template_id": "<string>",
    "model": "<string>",
    "generation_latency_ms": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign_id
string<uuid>
required
campaign_lead_id
string<uuid>
required

Body

application/json

POST /campaigns/{id}/leads/{lead_id}/unapprove body.

step_index
integer
required

Step number to un-approve.

Required range: 1 <= x <= 32

Response

Successful Response

POST approve/unapprove/reset response.

campaign_id
string<uuid>
required
campaign_lead_id
string<uuid>
required
updated_at
string<date-time>
required
step_index
integer | null
approved_steps
integer[]

All step indices currently approved for this lead after the operation.

approved_entry
ApprovedEmailEntry · object | null

One entry in campaign_leads.metadata.approved_emails.